package models

import (
  "log"

  "gorm.io/gorm"
  "gorm.io/driver/sqlite"
)

var (
  DB *gorm.DB
)

func InitDatabase() {
  // Initialize database object
  DB, err := gorm.Open(sqlite.Open("data/blt.db"), &gorm.Config{})
  if err != nil {
    panic("Failed to connect database")
  }

  // Migrate the schema
  DB.AutoMigrate(&Project{}, &Hardware{}, &Benchmark{})
  log.Println("Database migrations complete.")
}
